%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)}}
%{!?_httpd_apxs: %{expand: %%global _httpd_apxs %%{_sbindir}/apxs}}

Name:		mod_qos
Version:	10.28
Release:	1%{?dist}
Summary:	mod_qos is a quality of service module for the Apache web server implementing control mechanisms that can provide different levels of priority to different HTTP requests.
Epoch:		10

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://opensource.adnovum.ch/mod_qos/
Source0:	http://sourceforge.net/projects/mod-qos/files/%{name}-%{version}.tar.gz
Source1:	10-%{name}.conf
Source2:	%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel, automake
BuildRequires:	apr-devel, pcre-devel, openssl-devel, libpng-devel
Requires:	httpd-mmn = %{_httpd_mmn}

%description
In computer networking, the term quality of service (QoS) describes resource management rather than the quality of a service. Quality of service implements control mechanisms to provide different priority to different users, applications, and data connections. It is used to guarantee a certain level of performance to data resources. The term quality of service is often used in the field of wide area network protocols (e.g. ATM) and telephony (e.g. VoIP), but rarely in conjunction with web applications.

%package tools
Group:	Development/Languages
Summary:	Common tools for mod_qos
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tools
Common tools for mod_qos

%package doc
Group:	Documentation
Summary:	Document for mod_qos

%description doc
Document for mod_qos

%prep
%setup -q

%build
pushd apache2
apxs -c -Wc,"%{optflags}" -lpcre -lcrypto mod_qos.c
popd
pushd tools
autoreconf -ivf
%configure \
	--prefix=%{_prefix} \
	--with-apr=%{_bindir} \
	--with-apr-util=%{_bindir} \
	--with-pcre=%{_bindir} \
	--with-png=%{_bindir} \
	--with-ssl=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules
pushd apache2
%if 0%{?fedora} >= 18
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%else
cat %{SOURCE1} %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
install -m0755 .libs/mod_qos.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules
popd
pushd tools
make install DESTDIR=$RPM_BUILD_ROOT

install -d -m0755 $RPM_BUILD_ROOT%{_mandir}/man1
for f in `find man1 -type f`
do
	install -D -m0644 $f $RPM_BUILD_ROOT%{_mandir}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc README.TXT
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_qos.conf
%{_libdir}/httpd/modules/%{name}.so
%if 0%{?fedora} >= 18
%config(noreplace) %{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
%endif

%files tools
%defattr(-,root,root,-)
%{_bindir}/qs*
%{_mandir}/man1/*.1.gz

%files doc
%defattr(-,root,root,-)
%doc doc/*

%changelog
* Wed Jan 15 2014 momo-i <webmaster@momo-i.org> - 10.28-1
- Update to 10.28

* Tue Dec 10 2013 momo-i <webmaster@momo-i.org> - 10.26-1
- Update to 10.26

* Fri Nov  8 2013 momo-i <webmaster@momo-i.org> - 10.25-1
- Update to 10.25

* Fri Sep 20 2013 momo-i <webmaster@momo-i.org> - 10.21-1
- Update to 10.21

* Wed Jul  3 2013 momo-i <webmaster@momo-i.org> - 10.16-1
- Update to 10.16

* Tue May 14 2013 momo-i <webmaster@momo-i.org> - 10.15-1
- Update to 10.15

* Tue Mar 26 2013 momo-i <webmaster@momo-i.org> - 10.14-3
- Update to 10.14

* Tue Jun 19 2012 momo-i <webmaster@momo-i.org> - 10.8-1
- Update to 10.8

* Mon May 28 2012 momo-i <webmaster@momo-i.org> - 10.5-1
- Upgrade to 10.5

* Mon Dec 12 2011 momo-i <webmaster@momo-i.org> - 9.75-3
- config noreplace

* Mon Dec 12 2011 momo-i <webmaster@momo-i.org> - 9.75-2
- Added more example configurations.

* Wed Dec 07 2011 momo-i <webmaster@momo-i.org> - 9.75-1
- Added man for mod_qos-tools

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 9.57-1
- Initial rpm release.
